Subject: [SIP] payload description

From: jimmy Zhang <[email-masked]>
Date: Tue, 04 Apr 2000 15:41:04 -0700

hi,

    I would like to know if there exists a standard way to describe the
payload size  of the RTP stream. So for instance,

10, 20, 30 ms.  We've read the sip spec, but could not find it.

--

Jimmy zhang ([email-masked])

Software Engineer

---

From: "Stanislav S. Timinsky" <[email-masked]>
Date: Thu, 6 Apr 2000 20:00:36 +0400

Hello jimmy,

Wednesday, April 05, 2000, 2:41:04 AM, you wrote:

jimmy Zhang> hi,

jimmy Zhang>     I would like to know if there exists a standard way to describe the
jimmy Zhang> payload size  of the RTP stream. So for instance,

jimmy Zhang> 10, 20, 30 ms.  We've read the sip spec, but could not find it.

jimmy Zhang> --

jimmy Zhang> Jimmy zhang ([email-masked])

jimmy Zhang> Software Engineer

I think, You may use the attribute parameter in SDP (rfc-2327, page 22).

   a=ptime:<packet time>
     This gives the length of time in milliseconds represented by the
     media in a packet.
       
-- 
Best regards,
 Stanislav S. Timinsky                      mailto:[email-masked]
 Mera Labs.

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: [email-masked]
Date: Thu, 13 Apr 2000 16:16:42 +0200 (MET DST)

Jimmy Zhang>I would like to know if there exists a
    Jimmy Zhang> standard way to describe the jimmy payload
    Jimmy Zhang> size of the RTP stream. 

 >      This gives the length of time in milliseconds represented by the

Keep in mind that both RFC 2327 (SDP) and RFC 1890 (AVP) seem to say
that you can ignore the value of ptime:

RFC2327, Section 6, "Suggested Attributes":

	 It should not be necessary to know ptime to decode RTP or
	 vat audio, and it is intended as a recommendation for the
	 encoding/packetisation of audio.

RFC1890, Section 4.2:

	 A receiver should accept packets representing between 0
	 and 200ms of audio data.

RFC1890, Section 4.3:

	 All frame-oriented audio codecs should be able to encode
	 and decode several consecutive frames within a single packet.

Matthias